commit:     4c743d06ed29c2343befe220f7073f738fb486cf
Author:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
AuthorDate: Fri Sep 13 10:50:05 2024 +0000
Commit:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
CommitDate: Fri Sep 13 11:56:24 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4c743d06

dev-libs/libbytesize: add 2.11

Signed-off-by: Arthur Zamarin <arthurzam <AT> gentoo.org>

 dev-libs/libbytesize/Manifest                |  1 +
 dev-libs/libbytesize/libbytesize-2.11.ebuild | 88 ++++++++++++++++++++++++++++
 2 files changed, 89 insertions(+)

diff --git a/dev-libs/libbytesize/Manifest b/dev-libs/libbytesize/Manifest
index 3458e34920ce..e261756d779f 100644
--- a/dev-libs/libbytesize/Manifest
+++ b/dev-libs/libbytesize/Manifest
@@ -1,2 +1,3 @@
 DIST libbytesize-2.10.tar.gz 458804 BLAKE2B 
413a45bebf8394e0557c2e1ef7e1f4348fa6dfa52c697599886d70292ea8b2e1b17402e787afaeb8fecd84e3a37a6c0c39440fa22a556dcaba3f419ee17e1b0e
 SHA512 
9e52b9a756a5b4ee6e23a7a20fd0c6ca2a65ff31f38ddc7545d6838fe9a3da0ee0bd7491cb268f071c950fbeb8d65c707423d285cc3548038b3a2d3aa7f0de48
+DIST libbytesize-2.11.tar.gz 459631 BLAKE2B 
f15b260f3abfdd876a45157281e7a3dbc33227ef0fa8096a07b254b5edf7378af0653b43b54d0d1ac780ad900644039bd73a0bc9a5c6a111fb45d69e4065cbdc
 SHA512 
eb539c878cc0f857772b07aac4aca2732d3298fa649011f3f8a95fce83b1cc5b5b7001f6bb0c168ed47b7886d34c2e139ded9e66994a9a10784f9f7944475190
 DIST libbytesize-2.9.tar.gz 458737 BLAKE2B 
d2e47b520cf2669131816f069d8ebeb946be02bc04acc676579f12e798fcb2aa176fd25e6bb77dd1e6b274ec0762498df5df18d88c627653accc426a7e268f36
 SHA512 
6def6bebe33344e6d6ce1a636bcd200a9d28ed5c4e5ce5dfbfd94c4d92ba37512ef1ee4f12716af0d6a402d5285e60df1ee629ecf31cf7d0b59990c524384fd1

diff --git a/dev-libs/libbytesize/libbytesize-2.11.ebuild 
b/dev-libs/libbytesize/libbytesize-2.11.ebuild
new file mode 100644
index 000000000000..87fa8741c50b
--- /dev/null
+++ b/dev-libs/libbytesize/libbytesize-2.11.ebuild
@@ -0,0 +1,88 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit autotools python-r1
+
+DESCRIPTION="Tiny library providing a C \"class\" for working with arbitrary 
big byte sizes"
+HOMEPAGE="https://github.com/storaged-project/libbytesize";
+SRC_URI="https://github.com/storaged-project/libbytesize/releases/download/${PV}/${P}.tar.gz";
+
+LICENSE="LGPL-2+"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~loong ~mips ~ppc ~ppc64 ~riscv ~sparc 
~x86"
+IUSE="doc python test tools"
+RESTRICT="!test? ( test )"
+
+REQUIRED_USE="
+       python? ( ${PYTHON_REQUIRED_USE} )
+       tools? ( python )
+"
+
+RDEPEND="
+       dev-libs/gmp:=
+       dev-libs/mpfr:=
+       dev-libs/libpcre2:=
+       python? ( ${PYTHON_DEPS} )
+"
+DEPEND="${RDEPEND}"
+BDEPEND="
+       sys-devel/gettext
+       doc? (
+               dev-util/gtk-doc
+               virtual/pkgconfig
+       )
+       test? (
+               dev-python/pocketlint[${PYTHON_USEDEP}]
+               dev-python/polib[${PYTHON_USEDEP}]
+       )
+"
+
+PATCHES=(
+       "${FILESDIR}/${PN}-2.4-no_Werror.patch"
+)
+
+python_do() {
+       if use python ; then
+               python_foreach_impl run_in_build_dir "$@"
+       else
+               "$@"
+       fi
+}
+
+src_prepare() {
+       default
+       eautoreconf
+}
+
+src_configure() {
+       local myeconfargs=(
+               $(use_with doc gtk-doc)
+               $(use_with python python3)
+               $(use_with tools)
+       )
+       local ECONF_SOURCE="${S}"
+       python_do econf "${myeconfargs[@]}"
+}
+
+src_compile() {
+       python_do emake
+}
+
+src_test() {
+       python_do emake check
+}
+
+install_helper() {
+       emake DESTDIR="${D}" install
+       use python && python_optimize
+}
+
+src_install() {
+       python_do install_helper
+       einstalldocs
+       find "${ED}" -name "*.la" -type f -delete || die
+}

Reply via email to